Bug 174194 - Default sound device is not being correctly specified in alsa config files
Summary: Default sound device is not being correctly specified in alsa config files
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-25 18:32 UTC by Janina Sajka
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-25 22:05:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Janina Sajka 2005-11-25 18:32:14 UTC
Description of problem:
A command like "aplay [file.wav]" breaks as noted below. On the other hand commands like "aplay -D hw:0,0 [file.wav]" or "aplay -D plughw:0,0 [file.wav]" work perfectly well.

Version-Release number of selected component (if applicable):1.0.10rf-1


How reproducible:Fails every time on two machines tried so far, whereas the -D-D specificity noted always works.


Steps to Reproduce:
1.Install and use 'aplay [file.wav]'
2.
3.
  
Actual results:
ALSA lib conf.c:1592:(snd_config_load1) _toplevel_:51:23:No such file or directory; ALSA lib conf.c:2837:(snd_config_hook_load) /etc/alsa/cards/aliases.conf may be old or corrupted: consider to remove or fix it
ALSA lib conf.c:2700:(snd_config_hooks_call) function snd_config_hook_load returned error: No such file or directory; ALSA lib pcm.c:1969:(snd_pcm_open_conf) Invalid type for PCM default definition (id: default, value: cards.pcm.default)
Expected results:
Audio should play via a default audio device without additional device specification.

Additional info:

Comment 1 Martin Stransky 2005-11-25 22:05:15 UTC
please re-login after alsa-lib update...

Comment 2 Janina Sajka 2005-11-28 13:20:19 UTC
Root should never be encumbered. If root asks for audio over ssh, root should
get audio. Do you disagree? Are you redefining su powers?
Furthermore, logout + login often doesn't work in my testing -- even for root.
This is a wrongheaded approachto audio device management, imho, even for ordinary users. The notion that a user not logged locally has no business
playing audio is just wrong. There are plenty good use cases for that.

Comment 3 Martin Stransky 2005-12-09 10:24:55 UTC
If you have different opinion on this issue please write a mail to fedora-devel
mailing list....


Note You need to log in before you can comment on or make changes to this bug.